GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
base64.h File Reference
`#include <grpc/support/slice.h>`

Go to the source code of this file.

## Functions
char * | grpc_base64_encode (const void *data, size_t data_size, int url_safe, int multiline)
gpr_slice | grpc_base64_decode (const char *b64, int url_safe)
gpr_slice | grpc_base64_decode_with_len (const char *b64, size_t b64_len, int url_safe)

## Function Documentation

gpr_slice grpc_base64_decode | ( | const char * | b64,
|  | int | url_safe
| ) |  |

gpr_slice grpc_base64_decode_with_len | ( | const char * | b64,
|  | size_t | b64_len,
|  | int | url_safe
| ) |  |

char* grpc_base64_encode | ( | const void * | data,
|  | size_t | data_size,
|  | int | url_safe,
|  | int | multiline
| ) |  |